body {
    --header-text: #000;
    --header-a: rgb(82, 82, 82);
    --header-a-hover: rgb(49, 49, 49);
    --header-name: #000;
    --footer-bgcolor: rgb(238, 238, 238);
    --footer: rgb(107, 107, 107);
    --footer-a: rgb(77, 77, 77);
    --footer-table-title: rgb(58, 58, 58);
    --footer-text: rgb(109, 109, 109);
    --footer-hover: rgb(44, 44, 44);
}

html[data-theme=dark] body {
    --footer-bgcolor: rgb(53, 53, 53);
    --footer: rgb(141, 141, 141);
    --footer-a: rgb(179, 179, 179);
    --footer-table-title: rgb(212, 212, 212);
    --footer-text: rgb(184, 184, 184);
    --footer-hover: rgb(230, 230, 230);
}

.skip-to-content {
    position: fixed;
    top: 8px;
    left: 10px;
    z-index: 1000000;
    background: var(--bgg);
    color: var(--text-color);
    border: 2px dashed var(--text-color);
    padding: 10px 16px;
    text-align: center;
    cursor: pointer;
    font-size: 1.1em;
    border-radius: 2px;
    opacity: 0;
    pointer-events: none;
}

.skip-to-content:focus {
    outline: none;
    opacity: 1;
    pointer-events: auto;
}

/* header 部分 */
#hcont .placeHolder {
    height: 78px;
}

#hcont .header {
    transition: background-color 0.1s, backdrop-filter 0.05s 0.05s, -webkit-backdrop-filter 0.05s 0.05s, height 0.7s, overflow-y 0s 0.7s;
}

#hcont .header:not([open]).hidden {
    transition: background-color 0.1s 0.5s, backdrop-filter 0.05s 0.55s, -webkit-backdrop-filter 0.05s 0.55s, height 0.7s, overflow-y 0s 0.7s;
}

#hcont .header:not([open]).hidden *:not(.right, .menu-toggle, .menu-toggle .bar) {
    transition: color 0.1s 0.5s, visibility 0.1s 0.5s, transform 0.7s !important;
}

#hcont .header:not([open]).hidden .left,
#hcont .header:not([open]).hidden .left * {
    transition: color 0.1s 0.2s, visibility 0.1s 0.5s, opacity 0.1s 0.5s, transform 0.7s !important;
}

#hcont .header:not([open]) *:not(.right, .menu-toggle, .menu-toggle .bar) {
    transition: color 0.1s, visibility 0.1s 0.5s, opacity 0.1s, transform 0.7s !important;
}

#hcont .header.hidetitle:not([open]) .left {
    opacity: 0;
}

@media (min-width: 700px) {
    #hcont .header {
        display: flex;
        justify-content: space-between;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 40px;
        padding: 5px 20px;
        z-index: 100;
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        background-color: var(--jianbian-color);
        color: var(--header-text);
    }

    #hcont .header.hidden {
        background: none;
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
    }

    #hcont .header * {
        margin: 0;
        padding: 0;
    }

    #hcont .header .left {
        border: none;
        background: none;
        border-radius: 4px;
        color: var(--header-a);
        font-weight: normal;
        flex-grow: 0;
        flex-shrink: 0;
        cursor: pointer;
        text-decoration: none;
    }

    #hcont .header .left .logo {
        display: inline-block;
        width: 36px;
        height: 36px;
        background-image: url('https://websiteres.nmteam.xyz/producticon/nmTeam/logo@64.png');
        background-size: 36px;
    }

    #hcont .header .left .name {
        display: inline;
        position: relative;
        top: -8px;
        font-size: 25px;
        font-weight: bold;
        color: var(--header-name);
    }

    #hcont .header .right {
        display: flex;
        flex-direction: row;
        justify-content: end;
        align-items: center;
    }

    #hcont .header .right * {
        font-size: 15px;
        font-weight: 300;
        color: var(--header-a);
        text-decoration: none;
    }

    #hcont .header .right .links {
        display: flex;
        flex-wrap: nowrap;
        font-size: 15px;
        font-weight: 300;
        color: var(--header-a);
    }

    #hcont .header .right .links a {
        padding: 10px 8px;
        word-break: keep-all;
        border-radius: 3px;
    }

    #hcont .header .right .links a:hover,
    #hcont .header .right .links a:focus-visible,
    #hcont .header .right .accountBox:hover p,
    #hcont .header .right .accountBox:focus-visible p {
        color: var(--header-a-hover);
        font-weight: bold;
        cursor: pointer;
    }

    #hcont .header .right .accountBox {
        display: flex;
        flex-direction: row;
        justify-content: end;
        align-items: center;
        margin-left: 8px;
        border: none;
        background: none;
        border-radius: 3px;
    }

    #hcont .header .right .accountBox i {
        display: inline-block;
        width: 30px;
        height: 30px;
        background-image: url(https://static.hdslb.com/images/akari.jpg);
        background-size: 30px 30px;
        border-radius: 20px;
        margin-right: 4px;
    }

    #hcont .header .right .accountBox p {
        display: inline-block;
        max-width: 117px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        word-break: break-all;
        transition: max-width 0.5s;
    }

    #hcont .header .right .accountBox p:hover {
        max-width: 100vw;
    }

    #hcont .header .menu-toggle {
        display: none;
    }
}

@media (max-width: 699.99999px) {
    #hcont .header {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 28px;
        overflow-x: hidden;
        overflow-y: hidden;
        padding: 9px 10px;
        z-index: 100;
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        background-color: var(--jianbian-color);
        color: var(--header-text);
    }

    #hcont .header[open] {
        height: 100vh;
    }

    #hcont .header[open] .right {
        overflow-y: auto;
    }

    #hcont .header.hidden:not(*[open]) {
        background: none;
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
    }

    #hcont .header * {
        margin: 0;
        padding: 0;
    }

    #hcont .header .left {
        flex-grow: 0;
        flex-shrink: 0;
        margin: -3px 0 0 7px;
        cursor: pointer;
        text-align: center;
        border: none;
        background: none;
        color: var(--header-a);
        font-weight: normal;
        transition: all 0.7s;
        text-decoration: none;
    }

    #hcont .header .left .logo {
        display: inline-block;
        width: 33px;
        height: 33px;
        background-image: url('https://websiteres.nmteam.xyz/producticon/nmTeam/logo@64.png');
        background-size: 33px;
    }

    #hcont .header .left .name {
        display: inline-block;
        position: relative;
        top: -9px;
        font-size: 21px;
        font-weight: 600;
        color: var(--header-name);
    }

    #hcont .header[open] .left {
        transform: scale(1.2) translate(8px, 20px);
    }

    #hcont .header .menu-toggle {
        display: block;
        position: absolute;
        right: 5px;
        top: 0px;
        width: 46px;
        height: 46px;
        background: none;
        border: none;
        direction: ltr;
        cursor: pointer;
        transition: all 0.7s;
    }

    #hcont .header[open] .menu-toggle {
        top: 20px;
    }

    #hcont .header .menu-toggle .bar {
        position: absolute;
        display: block;
        top: 0;
        left: 50%;
        pointer-events: none;
        transform: translate(-50%, 0);
        width: 30%;
        height: 1px;
        background: var(--header-name);
        transition: all 0.5s !important;
    }

    #hcont .header .menu-toggle .bar-1 {
        top: 40%;
    }

    #hcont .header .menu-toggle .bar-2 {
        top: 50%;
    }

    #hcont .header .menu-toggle .bar-3 {
        top: 60%;
    }

    #hcont .header[open] .menu-toggle .bar-1 {
        top: 50%;
        left: 35%;
        transform: rotate(45deg) translate(0, 0);
    }

    #hcont .header[open] .menu-toggle .bar-2 {
        opacity: 0;
        width: 0;
    }

    #hcont .header[open] .menu-toggle .bar-3 {
        top: 50%;
        left: 35%;
        transform: rotate(-45deg) translate(0, 0);
    }

    #hcont .header .right {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin-top: 41px;
        padding-bottom: 30px;
        width: calc(100vw - 20px);
        flex-grow: 1;
        flex-shrink: 1;
        visibility: hidden;
        transform: translateY(-5%) scale(0.995, 0.94);
        filter: blur(4px);
        visibility: hidden;
        opacity: 0;
        transition: transform 0.2s, opacity 0.2s, filter 0.2s, visibility 0.2s !important;
    }

    #hcont .header[open] .right {
        visibility: visible;
        transform: none;
        filter: none;
        visibility: visible;
        opacity: 1;
        transition: transform 0.52s 0.18s, opacity 0.52s 0.18s, filter 0.52s 0.18s, visibility 0.52s 0.18s !important;
    }

    #hcont .header .right * {
        font-size: 25.2px;
        font-weight: 600;
        color: var(--header-text);
        text-decoration: none;
        text-align: start;
    }

    #hcont .header .right .links {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        margin-left: 42px;
        font-size: 15px;
        font-weight: 300;
        color: var(--header-a);
    }

    #hcont .header .right .links a {
        padding: 10px 8px;
        word-break: keep-all;
        border-radius: 3px;
    }

    #hcont .header .right .links a:hover,
    #hcont .header .right .links a:focus-visible,
    #hcont .header .right .accountBox:hover p,
    #hcont .header .right .accountBox:focus-visible p {
        color: var(--header-a-hover);
        font-weight: bold;
        cursor: pointer;
    }

    #hcont .header .right .accountBox {
        display: flex;
        width: 100%;
        position: relative;
        flex-direction: row;
        justify-content: flex-start;
        margin: 10px 0;
        border: none;
        background: none;
        border-radius: 3px;
    }

    #hcont .header .right .accountBox i {
        position: absolute;
        top: 1px;
        left: 10px;
        display: inline-block;
        width: 30px;
        height: 30px;
        background-image: url(https://static.hdslb.com/images/akari.jpg);
        background-size: 30px 30px;
        border-radius: 20px;
        margin-right: 4px;

    }

    #hcont .header .right .accountBox p {
        display: inline-block;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        word-break: break-all;
        margin: 0 0 0 50px;
    }
}

/* footer 部分 */
#fcont {
    position: relative;
    display: block;
    margin-top: 20px;
    padding: 16px 10%;
    color: var(--footer);
    background-color: var(--footer-bgcolor);
    font-size: 14px;
}

#fcont * {
    margin: 0;
    padding: 0;
    line-height: 1.88;
}

#fcont a {
    color: var(--footer-a);
    text-decoration: none;
    transition: color 0.5s;
    border-radius: 3px;
}

#fcont a:hover,
#fcont a:focus-visible {
    color: var(--footer-hover);
    font-weight: bold;
}

#fcont .footer-table {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 16px;
    color: var(--footer-text);
}

#fcont .footer-table .row {
    width: 22%;
    flex-grow: 0;
    flex-shrink: 0;
}

#fcont .footer-table .row * {
    display: block;
}

#fcont .footer-table .row .rowName {
    color: var(--footer-table-title);
    font-weight: bold;
}

#fcont .footer-bottom {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

#fcont .footer-bottom .left {
    flex-grow: 1;
    flex-shrink: 1;
    width: 100%;
}

#fcont .footer-bottom .right {
    flex-grow: 0;
    flex-shrink: 0;
    text-align: right;
    padding-bottom: 16px;
}

#fcont .footer-bottom .right i {
    display: block;
    background-position: center;
    background-size: 100%;
    margin: 0 10px;
    transition: all 0.4s;
}

#fcont .footer-bottom .right i:hover {
    opacity: 1 !important;
    filter: none !important;
}

@media (max-width: 700px) {
    #fcont * {
        line-height: 2.1;
    }

    #fcont .footer-table {
        flex-direction: column;
    }

    #fcont .footer-table .row {
        width: 100%;
        margin-bottom: 10px;
    }

    #fcont .footer-bottom {
        flex-direction: column;
        align-items: flex-start;
    }

    #fcont .footer-bottom .right {
        margin-top: 20px;
        text-align: center;
    }

    #fcont .footer-bottom .right i {
        margin-inline-start: -3px;
    }
}

/* footer 切换语言按钮 */
body {
    --footer_selectLanguageButton-border: #FFD000;
    --footer_selectLanguageButton-text: #000;
}

html[data-theme=dark] body {
    --footer_selectLanguageButton-border: #FFD000;
    --footer_selectLanguageButton-text: #fff;
}

#footer_selectLanguageButton {
    display: flex !important;
    border: 1px solid var(--footer_selectLanguageButton-border);
    border-radius: 500px;
    font-size: 14px;
    margin: 0 2px;
    padding: 5px 11px;
    height: 39px;
    flex-shrink: 0;
    text-overflow: ellipsis;
    word-break: keep-all;
    background: none;
    cursor: pointer;
    color: var(--footer_selectLanguageButton-text);
}

#footer_selectLanguageButton:hover {
    opacity: 0.7;
    transition: opacity 0.26s;
}

#footer_selectLanguageButton i {
    display: inline-block !important;
    position: relative;
    top: -4px;
    margin: 0px 0px 0 -2px;
    width: 25px;
    height: 32px;
    font-size: 32px;
    fill: var(--footer_selectLanguageButton-text);
}

#footer_selectLanguageButton i svg {
    width: 20px;
    height: 36px;
    fill: var(--footer_selectLanguageButton-text);
    display: block;
    opacity: 0.6;
}

#footer_selectLanguageButton span {
    position: relative;
    top: -1.7px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    word-break: break-all;
}

@media (min-width: 700px) {
    #footer_selectLanguageButton {
        float: right;
    }

    #footer_selectLanguageButton span {
        top: 1px;
    }
}

html[data-theme=dark] .header:not(.hidden),
html[data-theme=dark] .header[open] {
    --header-text: rgb(250, 250, 250);
    --header-a: rgb(231, 231, 231);
    --header-a-hover: rgb(241, 241, 241);
    --header-name: #fff;
}